aboutsummaryrefslogtreecommitdiff
path: root/binary_search_tool/ndk/boot_test.sh
diff options
context:
space:
mode:
authorStephen Hines <srhines@google.com>2017-02-08 10:44:04 +0000
committerandroid-build-merger <android-build-merger@google.com>2017-02-08 10:44:04 +0000
commit271389dd3199539c4474c351942f4d4fa975b81b (patch)
tree87b3a32b13c392939d66fa93105896f5df0736a6 /binary_search_tool/ndk/boot_test.sh
parentbaba90fd78c18585d22430dc95c748f96ad0c772 (diff)
parentc5804ce784c39d6cf4f69139ab3197d989181cf9 (diff)
downloadtoolchain-utils-271389dd3199539c4474c351942f4d4fa975b81b.tar.gz
Merge remote-tracking branch 'aosp/mirror-chromium-master' into initial_import am: 870a8df6fc am: 9c6fa5f9e5
am: c5804ce784 Change-Id: I5ff109272784db60dfef5145242a68779f7f0ccb
Diffstat (limited to 'binary_search_tool/ndk/boot_test.sh')
-rwxr-xr-xbinary_search_tool/ndk/boot_test.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/binary_search_tool/ndk/boot_test.sh b/binary_search_tool/ndk/boot_test.sh
new file mode 100755
index 00000000..b8c34aa5
--- /dev/null
+++ b/binary_search_tool/ndk/boot_test.sh
@@ -0,0 +1,27 @@
+#!/bin/bash -u
+#
+# Copyright 2016 Google Inc. All Rights Reserved.
+#
+# This script checks the android device to determine if the app is currently
+# running. For our specific test case we will be checking if the Teapot app
+# has crashed.
+#
+# This script is intended to be used by binary_search_state.py, as
+# part of the binary search triage on the Android NDK apps. It
+# waits for the test setup script to build and install the app, then checks if
+# app boots or not. It should return '0' if the test succeeds
+# (the image is 'good'); '1' if the test fails (the image is 'bad'); and '125'
+# if it could not determine (does not apply in this case).
+#
+
+echo "Starting Teapot app..."
+adb shell am start -n com.sample.teapot/com.sample.teapot.TeapotNativeActivity
+sleep 3
+
+echo "Checking if Teapot app crashed..."
+adb shell ps | grep com.sample.teapot
+
+retval=$?
+
+
+exit ${retval}